<template>
  <div>
    <div class="profile-title-wrap">
      <h1 class="title-h1">Profil</h1>
      <div>
        <a-button class="ant-btn ant-btn-outlined" @click.prevent="logout"
          >Déconnecter</a-button
        >
      </div>
    </div>
    <div class="profile-wrap">
      <a-avatar :size="130">
        <template #icon>
          <user-outlined :style="{ color: '#7B61FF' }" />
        </template>
      </a-avatar>
      <div class="profile-content">
        <div class="user-info">
          <div class="user-info__item">
            <div class="caption">Nom</div>
            <h2 class="title-h2">{{ user.name }}</h2>
          </div>
          <div class="user-info__item">
            <div class="caption">Email</div>
            <h2 class="title-h2">{{ user.email }}</h2>
          </div>
        </div>
        <update-password />
      </div>
    </div>
  </div>
</template>

<script lang="ts" setup>
import { UserOutlined } from '@ant-design/icons-vue';
import { useAuth, EGettersAuth, EActionsAuth } from '@/store/modules/auth';
import { useRouter } from 'vue-router';
import UpdatePassword from '@/modules/profile/components/UpdatePassword.vue';
const auth = useAuth();
const user = auth[EGettersAuth.GET_USER];
const router = useRouter();
const logout = () => {
  auth[EActionsAuth.LOGOUT]().then(() => {
    router.push({ name: 'login' });
  });
};
</script>

<script lang="ts">
export default {
  name: 'ProfilePage',
};
</script>

<style lang="scss" scoped>
.profile-title-wrap {
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin-bottom: 55px;
}

.profile-wrap {
  display: flex;
  align-items: flex-start;
}

.profile-content {
  margin-left: 50px;
  flex: 1;
}

.user-info {
  padding-bottom: 44px;
  border-bottom: 1px solid var(--light-gray);
}

.user-info__item {
  .caption {
    margin-bottom: 6px;
  }
}

.user-info__item + .user-info__item {
  margin-top: 45px;
}
</style>
<style lang="scss">
.ant-avatar {
  background: #f7f6f3;
}
</style>

<route>
{
  meta: {
    middleware: 'auth'
  },
}
</route>
